SLASH_LH1 = "/LootHistory";
SLASH_LH2 = "/lohi";
LootHistoryVersion = "LootHistory v1.5";
LootHistoryRealm = GetRealmName();
inIni = false;
lastIni = nil;

--begin localization
local L = {};
L["yes"]="Yes";
L["no"]="No";
L["reset"]="Reset Data?";	
L["clear"]="Reset";
L["report"]="Report";
L["Log-Options:"]="Log-Options:";
L["poor"]="Poor Items";
L["common"]="Common Items";
L["uncommon"]="Uncommon Items";
L["rare"]="Rare Items";
L["epic"]="Epic Items";
L["legendary"]="Legendary Items";
L["artifact"]="Artifact Items";
L["heirloom"]="Heirloom"
L["solo"]="Solo";
L["party"]="Party";
L["raid"]="Raid";
L["Report-Options:"]="Report-Options:";
L["ChatFrame1"]="ChatFrame1";
L["/say"]="/say";
L["/yell"]="/yell";
L["/party"]="/party";
L["/raid"]="/raid";
L["/guild"]="/guild";
L["/whisper:"]="/whisper:";
L["General-Options:"]="General-Options:";
L["lockFrames"]="Lock Frames";
L["enableMinimapButton"]="Enable Minimap-Button";
L["lockMinimapButton"]="Lock Minimap-Button";
L["loot"]="loot: "; --AddOn needs correct localization to work!!!
L["you"]="You"; --AddOn needs correct localization to work!!!
if (GetLocale() == "deDE") then
	L["yes"]="Ja";
	L["no"]="Nein";
	L["reset"]="Daten l\195\182schen?";	
	L["clear"]="L\195\182schen";
	L["report"]="Berichten";
	L["Log-Options:"]="Log-Optionen:";
	L["poor"]="Schlechte Gegenst\195\164nde";
	L["common"]="Gew\195\182hnliche Gegenst\195\164nde";
	L["uncommon"]="Gute Gegenst\195\164nde";
	L["rare"]="Rare Gegenst\195\164nde";
	L["epic"]="Epische Gegenst\195\164nde";
	L["legendary"]="Legend\195\164re Gegenst\195\164nde";
	L["artifact"]="Artefakte";
	L["heirloom"]="Erbst\195\188cke"
	L["solo"]="Solo";
	L["party"]="Gruppe";
	L["raid"]="Schlachtzug";
	L["Report-Options:"]="Bericht-Optionen:";
	L["ChatFrame1"]="ChatFrame1";
	L["/say"]="/sagen";
	L["/yell"]="/schreien";
	L["/party"]="/gruppe";
	L["/raid"]="/schlachtzug";
	L["/guild"]="/gilde";
	L["/whisper:"]="/fl\195\188stern:";
	L["General-Options:"]="Allgemeine Optionen:";
	L["lockFrames"]="Fenster sperren";
	L["enableMinimapButton"]="Minimap anzeigen";
	L["lockMinimapButton"]="Minimap sperren";
	L["loot"]="Beute: ";
	L["you"]="Ihr";
else
	--[[ 
	feel free to create the following localizations (you can contact me via curse.com):
	"frFR": French
	"koKR": Korean
	"zhCN": Chinese (simplified)
	"zhTW": Chinese (traditional)
	"ruRU": Russian (UI AddOn)
	"esES": Spanish (Spain)
	"esMX": Spanish (Mexico)
	]]--
	ChatFrame1:AddMessage("|cffff0000"..LootHistoryVersion..": Your WoW-Version isn't compatible. This is caused by localization issues.|r");
end
--end localization
function LootHistorytobool(arg1)
	if arg1 == 1 or arg1 == true then
		return true;
	else
		return false;
	end
end

function AddToLootHistoryEditBox(userName, itemLink)			
	local a, _ = strfind(itemLink, "|c");
	local b, _ = strfind(itemLink, "|H");
	local color = strsub(itemLink, a, b-1);
	local a, _ = strfind(itemLink, "%[");
	local b, _ = strfind(itemLink, "%]");
	local name = strsub(itemLink, a, b).."|r";
	local s = userName..": "..color.." "..name.."|r";
	if (strlen(s) > 36) then
		s = strsub(s, 0, 33).."|r...";
	end
	if (LootHistorySChild:GetText() == nil) then
		LootHistorySChild:SetText(LootHistorySChild:GetText()..s);
	else
		LootHistorySChild:SetText(LootHistorySChild:GetText().."|n "..s);
	end	
end

function AddLootHistory(arg1)
	local inRaid = false;
	if GetNumRaidMembers() > 0 then
		inRaid = true;
	end
	local inParty = false;
	if GetNumPartyMembers() > 0 then
		inParty = true;
	end
	if (LootHistoryLog["Raid"] and inRaid) or 
	   (LootHistoryLog["Party"] and inParty and not inRaid) or
	   (LootHistoryLog["Solo"] and not inParty and not inRaid)
	then
		local s = string.find(arg1, "%|");
		local e = string.find(arg1, "%|h%|r");	
		local itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(string.sub(arg1, s, e));
		local userName = string.sub(arg1, 0, (string.find(arg1, " ")-1));	
		if userName == L["you"] then
			userName = UnitName("player");
		elseif (inParty and not inRaid) then
			local groupindex = 1;		
			while groupindex <= MAX_PARTY_MEMBERS do			
				local name, realm = UnitName("party"..groupindex);				
				if userName == name then
					if not realm == nil then
						userName = name.."-"..realm;
					end
					groupindex = MAX_PARTY_MEMBERS+1;
				end
				groupindex = groupindex + 1;
				
			end
		end
		if (not(itemType == "Money")) and ((LootHistoryItemRarity[0] and itemRarity == 0) or
										   (LootHistoryItemRarity[1] and itemRarity == 1) or
										   (LootHistoryItemRarity[2] and itemRarity == 2) or
										   (LootHistoryItemRarity[3] and itemRarity == 3) or
										   (LootHistoryItemRarity[4] and itemRarity == 4) or
										   (LootHistoryItemRarity[5] and itemRarity == 5) or
										   (LootHistoryItemRarity[6] and itemRarity == 6) or
										   (LootHistoryItemRarity[7] and itemRarity == 7)
										) then
			if LootHistory[userName] == nil then
				LootHistory[userName]={};
			end
			tinsert(LootHistory[userName], itemLink);
			AddToLootHistoryEditBox(userName, itemLink);
		end
	end
end

function ShowLootHistory()
	if (not (LootHistoryReportTo["ChatFrame1"])) and 
	   (not (LootHistoryReportTo["Say"])) and
	   (not (LootHistoryReportTo["Yell"])) and
	   (not (LootHistoryReportTo["Party"])) and
	   (not (LootHistoryReportTo["Raid"])) and
	   (not (LootHistoryReportTo["Guild"])) and
	   (not (LootHistoryReportTo["Whisper"])) then
		ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		ChatFrame1:AddMessage(LootHistoryVersion.. " - ShowLootHistory");
		ChatFrame1:AddMessage("No Report-Option selected");	
		ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
	else
		local LootHistoryList = {};
		local j = 1;
		for userName, i in pairs(LootHistory) do
			for i, itemLink in ipairs(LootHistory[userName]) do
				LootHistoryList[j] = userName ..": "..itemLink;
				j = j + 1;			
			end
		end
		if LootHistoryReportTo["ChatFrame1"] then
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
			ChatFrame1:AddMessage(LootHistoryVersion.. " - ShowLootHistory");	
			local k = 1;
			while k < j do
				ChatFrame1:AddMessage(LootHistoryList[k]);
				k = k + 1;
			end
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		end
		if LootHistoryReportTo["Say"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "SAY");
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "SAY");	
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "SAY");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "SAY");
		end
		if LootHistoryReportTo["Yell"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "YELL");
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "YELL");	
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "YELL");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "YELL");
		end
		if LootHistoryReportTo["Party"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "PARTY");
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "PARTY");	
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "PARTY");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "PARTY");
		end
		if LootHistoryReportTo["Raid"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "RAID");
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "RAID");	
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "RAID");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "RAID");
		end
		if LootHistoryReportTo["Guild"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "GUILD");
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "GUILD");	
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "GUILD");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "GUILD");
		end
		if LootHistoryReportTo["Whisper"] then
			local h = LootHistoryOptionsWhisperBox:GetText();			
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "WHISPER", nil, h);
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "WHISPER", nil, h);
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "WHISPER", nil, h);
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "WHISPER", nil, h);
		end
	end
end

function ShowPlayerLootHistory(userName)
	if (not (LootHistoryReportTo["ChatFrame1"])) and 
	   (not (LootHistoryReportTo["Say"])) and
	   (not (LootHistoryReportTo["Yell"])) and
	   (not (LootHistoryReportTo["Party"])) and
	   (not (LootHistoryReportTo["Raid"])) and
	   (not (LootHistoryReportTo["Guild"])) and
	   (not (LootHistoryReportTo["Whisper"])) then
		ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		ChatFrame1:AddMessage(LootHistoryVersion.. " - ShowPlayerLootHistory");
		ChatFrame1:AddMessage("No Report-Option selected");	
		ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
	else
		local LootHistoryList = {};
		local j = 1;
		if not(LootHistory[userName] == nil) then
			for i, itemLink in ipairs(LootHistory[userName]) do			
				LootHistoryList[j] = userName ..": "..itemLink;
				j = j + 1;
			end
		end
		if LootHistoryReportTo["ChatFrame1"] then
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
			ChatFrame1:AddMessage(LootHistoryVersion.. " - ShowPlayerLootHistory");
			ChatFrame1:AddMessage("LootHistory of: "..userName);
			local k = 1;
			while k < j do
				ChatFrame1:AddMessage(LootHistoryList[k]);
				k = k + 1;
			end
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		end
		if LootHistoryReportTo["Say"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "SAY");
			SendChatMessage(LootHistoryVersion.. " - ShowPlayerLootHistory", "SAY");
			SendChatMessage("LootHistory of: "..userName, "SAY");		
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "SAY");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "SAY");
		end
		if LootHistoryReportTo["Yell"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "YELL");
			SendChatMessage(LootHistoryVersion.. " - ShowPlayerLootHistory", "YELL");
			SendChatMessage("LootHistory of: "..userName, "YELL");
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "YELL");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "YELL");
		end
		if LootHistoryReportTo["Party"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "PARTY");
			SendChatMessage(LootHistoryVersion.. " - ShowPlayerLootHistory", "PARTY");
			SendChatMessage("LootHistory of: "..userName, "PARTY");
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "PARTY");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "PARTY");
		end
		if LootHistoryReportTo["Raid"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "RAID");
			SendChatMessage(LootHistoryVersion.. " - ShowPlayerLootHistory", "RAID");
			SendChatMessage("LootHistory of: "..userName, "RAID");
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "RAID");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "RAID");
		end
		if LootHistoryReportTo["Guild"] then
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "GUILD");
			SendChatMessage(LootHistoryVersion.. " - ShowPlayerLootHistory", "GUILD");
			SendChatMessage("LootHistory of: "..userName, "GUILD");
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "GUILD");
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "GUILD");
		end
		if LootHistoryReportTo["Whisper"] then
			local h = LootHistoryOptionsWhisperBox:GetText();
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "WHISPER", nil, h);
			SendChatMessage(LootHistoryVersion.. " - ShowLootHistory", "WHISPER", nil, h);
			SendChatMessage("LootHistory of: "..userName, "WHISPER", nil, h);
			local k = 1;
			while k < j do
				SendChatMessage(LootHistoryList[k], "WHISPER", nil, h);
				k = k + 1;
			end
			SendChatMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~", "WHISPER", nil, h);
		end
	end
end

function ClearLootHistory()	
	wipe(LootHistory);
	LootHistorySChild:SetText("");
end

function LootHistoryOnEvent(event, arg1)	
	if event == "ADDON_LOADED" and arg1 == "LootHistory" then		
		if LootHistory == nil then
			LootHistory = {};
		end
		if LootHistoryItemRarity == nil then
			LootHistoryItemRarity = {};
			LootHistoryItemRarity[0]=false; --poor (grey)
			LootHistoryItemRarity[1]=false; --common (white)
			LootHistoryItemRarity[2]=true; --uncommon (green)
			LootHistoryItemRarity[3]=true; --rare (blue)
			LootHistoryItemRarity[4]=true; --epic (purple)
			LootHistoryItemRarity[5]=true; --legendary (orange)
			LootHistoryItemRarity[6]=false; --artifact
			LootHistoryItemRarity[7]=false; --heirloom
		end
		if LootHistoryReportTo == nil then
			LootHistoryReportTo = {};
			LootHistoryReportTo["ChatFrame1"]=true;
			LootHistoryReportTo["Say"]=false;
			LootHistoryReportTo["Yell"]=false;
			LootHistoryReportTo["Party"]=false;
			LootHistoryReportTo["Raid"]=false;
			LootHistoryReportTo["Guild"]=false;
			LootHistoryReportTo["Whisper"]=false;
		end
		if LootHistoryLog == nil then 
			LootHistoryLog = {};
			LootHistoryLog["Solo"]=false;
			LootHistoryLog["Party"]=true;
			LootHistoryLog["Raid"]=true;
		end
		if LootHistory_LockFrames == nil then
			LootHistory_LockFrames = false;
		end
		if LootHistory_LockMinimapButton == nil then
			LootHistory_LockMinimapButton = false;
		end
		if LootHistory_FramePosition == nil then
			LootHistory_FramePosition = {};
			LootHistory_FramePosition["point"] = "CENTER";
			LootHistory_FramePosition["x"] = 0;
			LootHistory_FramePosition["y"] = 0;
		end
		if LootHistory_MinimapButtonPosition == nil then
			LootHistory_MinimapButtonPosition = {};
			LootHistory_MinimapButtonPosition["point"] = "TOP";
			LootHistory_MinimapButtonPosition["x"] = 0;
			LootHistory_MinimapButtonPosition["y"] = 0;
		end
		if LootHistory_EnableMinimapButton == nil then
			LootHistory_EnableMinimapButton = true;
		end
		if LootHistory_LockShowLootFrame == nil then
			LootHistory_LockShowLootFrame = false;
		end	
		LootHistoryOptionsCheckButtonLog0:SetChecked(LootHistoryItemRarity[0]);
		LootHistoryOptionsCheckButtonLog1:SetChecked(LootHistoryItemRarity[1]);
		LootHistoryOptionsCheckButtonLog2:SetChecked(LootHistoryItemRarity[2]);
		LootHistoryOptionsCheckButtonLog3:SetChecked(LootHistoryItemRarity[3]);
		LootHistoryOptionsCheckButtonLog4:SetChecked(LootHistoryItemRarity[4]);
		LootHistoryOptionsCheckButtonLog5:SetChecked(LootHistoryItemRarity[5]);
		LootHistoryOptionsCheckButtonLog6:SetChecked(LootHistoryItemRarity[6]);
		LootHistoryOptionsCheckButtonLog7:SetChecked(LootHistoryItemRarity[7]);
		
		LootHistoryOptionsCheckButtonLogSolo:SetChecked(LootHistoryLog["Solo"]);
		LootHistoryOptionsCheckButtonLogParty:SetChecked(LootHistoryLog["Party"]);
		LootHistoryOptionsCheckButtonLogRaid:SetChecked(LootHistoryLog["Raid"]);
		
		LootHistoryOptionsCheckButtonChatFrame:SetChecked(LootHistoryReportTo["ChatFrame1"]);
		LootHistoryOptionsCheckButtonSay:SetChecked(LootHistoryReportTo["Say"]);
		LootHistoryOptionsCheckButtonYell:SetChecked(LootHistoryReportTo["Yell"]);
		LootHistoryOptionsCheckButtonParty:SetChecked(LootHistoryReportTo["Party"]);
		LootHistoryOptionsCheckButtonRaid:SetChecked(LootHistoryReportTo["Raid"]);
		LootHistoryOptionsCheckButtonGuild:SetChecked(LootHistoryReportTo["Guild"]);
		LootHistoryOptionsCheckButtonWhisper:SetChecked(LootHistoryReportTo["Whisper"]);
		
		LootHistoryOptionsCheckButtonLockFrames:SetChecked(LootHistory_LockFrames);
		LootHistoryOptionsCheckButtonEnableMinimapButton:SetChecked(LootHistory_EnableMinimapButton);
		LootHistoryOptionsCheckButtonLockMinimapButton:SetChecked(LootHistory_LockMinimapButton);		
		
		LootHistoryFrame:SetPoint(LootHistory_FramePosition["point"], LootHistory_FramePosition["x"], LootHistory_FramePosition["y"]);
		
		if not LootHistory_LockFrames then		
			LootHistoryFrame:RegisterForDrag("LeftButton");			
		end
				
		LootHistoryMinimapButton:SetPoint(LootHistory_MinimapButtonPosition["point"], Minimap, LootHistory_MinimapButtonPosition["x"], LootHistory_MinimapButtonPosition["y"]);
		if LootHistory_EnableMinimapButton then
			LootHistoryMinimapButton:Show();
		else
			LootHistoryMinimapButton:Hide();
		end	
		if not LootHistory_LockMinimapButton then		
			LootHistoryMinimapButton:RegisterForDrag("LeftButton");			
		end
		for index, value in pairs(LootHistory) do
			for i, v in pairs(value) do
			AddToLootHistoryEditBox(index, v);
			end
		end
		LootHistorySFrame:SetVerticalScroll(0);
	end
	if event == "CHAT_MSG_LOOT" then		
		if ((not(arg1 == nil)) and (strfind(arg1, L["loot"]))) then
			AddLootHistory(arg1);		
		end
	end
	if event == "PLAYER_ENTERING_WORLD" then
		local inInstance, instanceType = IsInInstance();
		inInstance = LootHistorytobool(inInstance);
		local iniName = GetInstanceInfo();		
		if ((inIni == false and inInstance) and not(lastIni == iniName)) then
			inIni = true;
			lastIni = iniName;
			if ((UnitInRaid("Player") and LootHistoryLog["Raid"]) or (UnitInParty("Player") and not UnitInRaid("Player") and LootHistoryLog["Party"]) or (LootHistoryLog["Solo"] and not UnitInRaid("Player") and not UnitInParty("Player"))) then
				LootHistoryResetFrame:Show();
			end
		elseif (inIni and inInstance == false) then
			inIni = false;			
		end
	end
end

-- begin UI
LootHistoryMinimapButton = CreateFrame("BUTTON", "LootHistoryMinimapButton", Minimap);
LootHistoryMinimapButton:SetWidth(31);
LootHistoryMinimapButton:SetHeight(31);
LootHistoryMinimapButton:SetFrameStrata("LOW");
LootHistoryMinimapButton:SetHighlightTexture("Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight");
LootHistoryMinimapButton:SetPoint("RIGHT", Minimap, "LEFT");
LootHistoryMinimapButtonIcon = LootHistoryMinimapButton:CreateTexture(nil, "BACKGROUND");
LootHistoryMinimapButtonIcon:SetTexture("Interface\\AddOns\\LootHistory\\LootHistoryIcon");
LootHistoryMinimapButtonIcon:SetPoint("TOPLEFT", 6, -6);
LootHistoryMinimapButtonIcon:SetPoint("BOTTOMRIGHT", -6, 6);
LootHistoryMinimapButtonOverlay = LootHistoryMinimapButton:CreateTexture(nil, "OVERLAY");
LootHistoryMinimapButtonOverlay:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder");
LootHistoryMinimapButtonOverlay:SetWidth(53);
LootHistoryMinimapButtonOverlay:SetHeight(53);
LootHistoryMinimapButtonOverlay:SetPoint("TOPLEFT");
LootHistoryMinimapButton:SetMovable(true);
LootHistoryMinimapButton:EnableMouse(true);
LootHistoryMinimapButton:SetScript("OnDragStart", function() LootHistoryMinimapButton:StartMoving() end);
LootHistoryMinimapButton:SetScript("OnDragStop", function()
													LootHistoryMinimapButton:StopMovingOrSizing();
													local point, relativeTo, relativePoint, x, y = LootHistoryMinimapButton:GetPoint();
													LootHistory_MinimapButtonPosition["point"] = point;													
													LootHistory_MinimapButtonPosition["x"] = x;
													LootHistory_MinimapButtonPosition["y"] = y;
												 end);
LootHistoryMinimapButton:SetScript("OnClick", function()
												if LootHistoryFrame:IsShown() then
													LootHistoryFrame:Hide();
													LootHistoryOptionsFrame:Hide();
												elseif not LootHistoryFrame:IsShown() then
													LootHistoryFrame:Show();
												end												
											end);										
LootHistoryMinimapButton:Hide();

LootHistoryResetFrame = CreateFrame("FRAME", "LootHistoryResetFrame", UIParent);
LootHistoryResetFrame:SetWidth(160);
LootHistoryResetFrame:SetHeight(70);
LootHistoryResetFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 }});
LootHistoryResetFrame:SetBackdropColor(0.0,0.0,0.0,0.9);
LootHistoryResetFrame:EnableMouse(true);
LootHistoryResetFrame:RegisterForDrag("LeftButton");
LootHistoryResetFrame:SetMovable(true);
LootHistoryResetFrame:SetUserPlaced(true);
LootHistoryResetFrame:SetScript("OnDragStart", function(this) this:StartMoving(); end);
LootHistoryResetFrame:SetScript("OnDragStop", function(this) this:StopMovingOrSizing(); end);
LootHistoryResetFrame:SetPoint("Center", 0, 100);
LootHistoryResetFrame:Hide();
tinsert(UISpecialFrames, LootHistoryResetFrame:GetName());

local LootHistoryResetTopFrame = CreateFrame("FRAME", nil, LootHistoryResetFrame);
LootHistoryResetTopFrame:SetWidth(120);
LootHistoryResetTopFrame:SetHeight(25);
LootHistoryResetTopFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 }});
LootHistoryResetTopFrame:SetBackdropColor(0.0,0.0,0.0,0.9);
LootHistoryResetTopFrame:SetPoint("TOP", 0, 10);
LootHistoryResetTopFrame:Show();

local LootHistoryResetFrameText = LootHistoryResetTopFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryResetFrameText:SetTextColor(1, 0, 0, 1.0);
LootHistoryResetFrameText:SetText(LootHistoryVersion);
LootHistoryResetFrameText:SetPoint("CENTER");

local LootHistoryResetFrameText2 = LootHistoryResetFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryResetFrameText2:SetTextColor(1, 1, 1, 1.0);
LootHistoryResetFrameText2:SetText(L["reset"]);
LootHistoryResetFrameText2:SetPoint("CENTER", 0, 5);

local LootHistoryResetFrameClose = CreateFrame("BUTTON", nil, LootHistoryResetFrame, "UIPanelButtonTemplate");
LootHistoryResetFrameClose:SetWidth(15);
LootHistoryResetFrameClose:SetHeight(15);
LootHistoryResetFrameClose:SetText("X");
LootHistoryResetFrameClose:SetPoint("TOPRIGHT", -5, -5);
LootHistoryResetFrameClose:SetScript("OnClick", function()
											LootHistoryResetFrame:Hide();											
										   end);
LootHistoryResetFrameClose:SetAlpha(1);
LootHistoryResetFrameClose:Show();

local LootHistoryResetFrameNoButton = CreateFrame("BUTTON", nil, LootHistoryResetFrame, "UIPanelButtonTemplate");
LootHistoryResetFrameNoButton:SetWidth(70);
LootHistoryResetFrameNoButton:SetHeight(20);
LootHistoryResetFrameNoButton:SetText(L["no"]);
LootHistoryResetFrameNoButton:SetPoint("BOTTOMRIGHT", -7, 5);
LootHistoryResetFrameNoButton:SetScript("OnClick", function()
											LootHistoryResetFrame:Hide();
										   end);
LootHistoryResetFrameNoButton:SetAlpha(1);
LootHistoryResetFrameNoButton:Show();

local LootHistoryResetFrameYesButton = CreateFrame("BUTTON", nil, LootHistoryResetFrame, "UIPanelButtonTemplate");
LootHistoryResetFrameYesButton:SetWidth(70);
LootHistoryResetFrameYesButton:SetHeight(20);
LootHistoryResetFrameYesButton:SetText(L["yes"]);
LootHistoryResetFrameYesButton:SetPoint("BOTTOMLEFT", 7, 5);
LootHistoryResetFrameYesButton:SetScript("OnClick", function()
														ClearLootHistory();
														LootHistoryResetFrame:Hide();
												end);
LootHistoryResetFrameYesButton:SetAlpha(1);
LootHistoryResetFrameYesButton:Show();

LootHistoryFrame, events = CreateFrame("FRAME", "LootHistoryFrame", UIParent);
LootHistoryFrame:SetWidth(200);
LootHistoryFrame:SetHeight(180);
LootHistoryFrame:RegisterEvent("ADDON_LOADED");
LootHistoryFrame:RegisterEvent("CHAT_MSG_LOOT");
LootHistoryFrame:RegisterEvent("PLAYER_ENTERING_WORLD");
LootHistoryFrame:SetScript("OnEvent", function(self, event, arg1, ...)
										LootHistoryOnEvent(event, arg1);
										end);
LootHistoryFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 }});
LootHistoryFrame:SetBackdropColor(0.0,0.0,0.0,0.9);
LootHistoryFrame:EnableMouse(true);
LootHistoryFrame:SetMovable(true);
LootHistoryFrame:SetUserPlaced(true);
LootHistoryFrame:SetScript("OnDragStart", function(this) this:StartMoving(); end);
LootHistoryFrame:SetScript("OnDragStop", function()
											LootHistoryFrame:StopMovingOrSizing();
											local point, relativeTo, relativePoint, x, y = LootHistoryFrame:GetPoint();
											LootHistory_FramePosition["point"] = point;													
											LootHistory_FramePosition["x"] = x;
											LootHistory_FramePosition["y"] = y;
										  end);
LootHistoryFrame:Hide();
tinsert(UISpecialFrames, LootHistoryFrame:GetName());

local LootHistoryTopFrame = CreateFrame("FRAME", nil, LootHistoryFrame);
LootHistoryTopFrame:SetWidth(120);
LootHistoryTopFrame:SetHeight(25);
LootHistoryTopFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 }});
LootHistoryTopFrame:SetBackdropColor(0.0,0.0,0.0,0.9);
LootHistoryTopFrame:SetPoint("TOP", 0, 10);
LootHistoryTopFrame:Show();

local LootHistoryFrameText = LootHistoryTopFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryFrameText:SetTextColor(1, 0, 0, 1.0);
LootHistoryFrameText:SetText(LootHistoryVersion);
LootHistoryFrameText:SetPoint("CENTER");

local LootHistoryFrameOptions = CreateFrame("BUTTON", nil, LootHistoryFrame, "UIPanelButtonTemplate");
LootHistoryFrameOptions:SetWidth(15);
LootHistoryFrameOptions:SetHeight(15);
LootHistoryFrameOptions:SetText("O");
LootHistoryFrameOptions:SetPoint("TOPLEFT", 5, -5);
LootHistoryFrameOptions:SetScript("OnClick", function()
												if LootHistoryOptionsFrame:IsShown() then
													LootHistoryOptionsFrame:Hide();													
												elseif not LootHistoryOptionsFrame:IsShown() then
													LootHistoryOptionsFrame:Show();
												end											
											 end);
LootHistoryFrameOptions:SetAlpha(1);
LootHistoryFrameOptions:Show();

local LootHistoryFrameClose = CreateFrame("BUTTON", nil, LootHistoryFrame, "UIPanelButtonTemplate");
LootHistoryFrameClose:SetWidth(15);
LootHistoryFrameClose:SetHeight(15);
LootHistoryFrameClose:SetText("X");
LootHistoryFrameClose:SetPoint("TOPRIGHT", -5, -5);
LootHistoryFrameClose:SetScript("OnClick", function()
											LootHistoryFrame:Hide();
											LootHistoryOptionsFrame:Hide();
										   end);
LootHistoryFrameClose:SetAlpha(1);
LootHistoryFrameClose:Show();

local LootHistoryShowBox = CreateFrame("EDITBOX", "LootHistoryShowBox", LootHistoryFrame, "InputBoxTemplate")
LootHistoryShowBox:SetWidth(180);
LootHistoryShowBox:SetHeight(15);
LootHistoryShowBox:SetPoint("BOTTOM", 3, 7);
LootHistoryShowBox:SetScript("OnTabPressed", function()
													local n, r = UnitName("target");
													if not (n == nil) then
														LootHistoryShowBox:SetText(n);
													end
												end);
LootHistoryShowBox:SetAutoFocus(false);
LootHistoryShowBox:Show();

local LootHistoryFrameClearButton = CreateFrame("BUTTON", nil, LootHistoryFrame, "UIPanelButtonTemplate");
LootHistoryFrameClearButton:SetWidth(90);
LootHistoryFrameClearButton:SetHeight(20);
LootHistoryFrameClearButton:SetText(L["clear"]);
LootHistoryFrameClearButton:SetPoint("BOTTOMRIGHT", -7, 25);
LootHistoryFrameClearButton:SetScript("OnClick", function() LootHistoryResetFrame:Show(); end);
LootHistoryFrameClearButton:SetAlpha(1);
LootHistoryFrameClearButton:Show();

local LootHistoryFrameShowButton = CreateFrame("BUTTON", nil, LootHistoryFrame, "UIPanelButtonTemplate");
LootHistoryFrameShowButton:SetWidth(90);
LootHistoryFrameShowButton:SetHeight(20);
LootHistoryFrameShowButton:SetText(L["report"]);
LootHistoryFrameShowButton:SetPoint("BOTTOMLEFT", 7, 25);
LootHistoryFrameShowButton:SetScript("OnClick", function()
													local arg = LootHistoryShowBox:GetText();
													if string.len(arg) == 0 then
														ShowLootHistory();
													else
														ShowPlayerLootHistory(arg);
													end
												end);
LootHistoryFrameShowButton:SetAlpha(1);
LootHistoryFrameShowButton:Show();

local LootHistoryOptionsFrame = CreateFrame("FRAME", "LootHistoryOptionsFrame", UIParent);
LootHistoryOptionsFrame:SetWidth(200);
LootHistoryOptionsFrame:SetHeight(410);
LootHistoryOptionsFrame:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background", edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border", tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 }});
LootHistoryOptionsFrame:SetBackdropColor(0.0,0.0,0.0,0.9);
LootHistoryOptionsFrame:SetPoint("TOPRIGHT", LootHistoryFrame, "TOPLEFT", 0, 0);
tinsert(UISpecialFrames, LootHistoryOptionsFrame:GetName());
LootHistoryOptionsFrame:Hide();

local LootHistoryOptionsText1 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsText1:SetTextColor(1.0, 0.8, 0, 0.8);
LootHistoryOptionsText1:SetWidth(175);
LootHistoryOptionsText1:SetJustifyH("LEFT");
LootHistoryOptionsText1:SetText(L["Log-Options:"]);
LootHistoryOptionsText1:SetPoint("TOPLEFT", 5, -5);

local LootHistoryOptionsLog0 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog0:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog0:SetWidth(175);
LootHistoryOptionsLog0:SetHeight(15);
LootHistoryOptionsLog0:SetJustifyH("LEFT");
LootHistoryOptionsLog0:SetText(L["poor"]);
LootHistoryOptionsLog0:SetPoint("TOP", LootHistoryOptionsText1, "BOTTOM", 25, -5);

LootHistoryOptionsCheckButtonLog0 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog0:SetWidth(15);
LootHistoryOptionsCheckButtonLog0:SetHeight(15);
LootHistoryOptionsCheckButtonLog0:SetPoint("RIGHT", LootHistoryOptionsLog0, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog0:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog0:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog0:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog0:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog0:SetScript("OnClick", function() LootHistoryItemRarity[0] = LootHistorytobool(LootHistoryOptionsCheckButtonLog0:GetChecked()); end);
LootHistoryOptionsCheckButtonLog0:Show();

local LootHistoryOptionsLog1 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog1:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog1:SetWidth(175);
LootHistoryOptionsLog1:SetHeight(15);
LootHistoryOptionsLog1:SetJustifyH("LEFT");
LootHistoryOptionsLog1:SetText(L["common"]);
LootHistoryOptionsLog1:SetPoint("TOP", LootHistoryOptionsLog0, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog1 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog1:SetWidth(15);
LootHistoryOptionsCheckButtonLog1:SetHeight(15);
LootHistoryOptionsCheckButtonLog1:SetPoint("RIGHT", LootHistoryOptionsLog1, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog1:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog1:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog1:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog1:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog1:SetScript("OnClick", function() LootHistoryItemRarity[1] = LootHistorytobool(LootHistoryOptionsCheckButtonLog1:GetChecked()); end);
LootHistoryOptionsCheckButtonLog1:Show();

local LootHistoryOptionsLog2 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog2:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog2:SetWidth(175);
LootHistoryOptionsLog2:SetHeight(15);
LootHistoryOptionsLog2:SetJustifyH("LEFT");
LootHistoryOptionsLog2:SetText(L["uncommon"]);
LootHistoryOptionsLog2:SetPoint("TOP", LootHistoryOptionsLog1, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog2= CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog2:SetWidth(15);
LootHistoryOptionsCheckButtonLog2:SetHeight(15);
LootHistoryOptionsCheckButtonLog2:SetPoint("RIGHT", LootHistoryOptionsLog2, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog2:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog2:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog2:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog2:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog2:SetScript("OnClick", function() LootHistoryItemRarity[2] = LootHistorytobool(LootHistoryOptionsCheckButtonLog2:GetChecked()); end);
LootHistoryOptionsCheckButtonLog2:Show();

local LootHistoryOptionsLog3 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog3:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog3:SetWidth(175);
LootHistoryOptionsLog3:SetHeight(15);
LootHistoryOptionsLog3:SetJustifyH("LEFT");
LootHistoryOptionsLog3:SetText(L["rare"]);
LootHistoryOptionsLog3:SetPoint("TOP", LootHistoryOptionsLog2, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog3 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog3:SetWidth(15);
LootHistoryOptionsCheckButtonLog3:SetHeight(15);
LootHistoryOptionsCheckButtonLog3:SetPoint("RIGHT", LootHistoryOptionsLog3, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog3:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog3:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog3:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog3:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog3:SetScript("OnClick", function() LootHistoryItemRarity[3] = LootHistorytobool(LootHistoryOptionsCheckButtonLog3:GetChecked()); end);
LootHistoryOptionsCheckButtonLog3:Show();

local LootHistoryOptionsLog4 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog4:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog4:SetWidth(175);
LootHistoryOptionsLog4:SetHeight(15);
LootHistoryOptionsLog4:SetJustifyH("LEFT");
LootHistoryOptionsLog4:SetText(L["epic"]);
LootHistoryOptionsLog4:SetPoint("TOP", LootHistoryOptionsLog3, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog4 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog4:SetWidth(15);
LootHistoryOptionsCheckButtonLog4:SetHeight(15);
LootHistoryOptionsCheckButtonLog4:SetPoint("RIGHT", LootHistoryOptionsLog4, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog4:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog4:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog4:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog4:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog4:SetScript("OnClick", function() LootHistoryItemRarity[4] = LootHistorytobool(LootHistoryOptionsCheckButtonLog4:GetChecked()); end);
LootHistoryOptionsCheckButtonLog4:Show();

local LootHistoryOptionsLog5 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog5:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog5:SetWidth(175);
LootHistoryOptionsLog5:SetHeight(15);
LootHistoryOptionsLog5:SetJustifyH("LEFT");
LootHistoryOptionsLog5:SetText(L["legendary"]);
LootHistoryOptionsLog5:SetPoint("TOP", LootHistoryOptionsLog4, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog5 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog5:SetWidth(15);
LootHistoryOptionsCheckButtonLog5:SetHeight(15);
LootHistoryOptionsCheckButtonLog5:SetPoint("RIGHT", LootHistoryOptionsLog5, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog5:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog5:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog5:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog5:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog5:SetScript("OnClick", function() LootHistoryItemRarity[5] = LootHistorytobool(LootHistoryOptionsCheckButtonLog5:GetChecked()); end);
LootHistoryOptionsCheckButtonLog5:Show();

local LootHistoryOptionsLog6 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog6:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog6:SetWidth(175);
LootHistoryOptionsLog6:SetHeight(15);
LootHistoryOptionsLog6:SetJustifyH("LEFT");
LootHistoryOptionsLog6:SetText(L["artifact"]);
LootHistoryOptionsLog6:SetPoint("TOP", LootHistoryOptionsLog5, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog6 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog6:SetWidth(15);
LootHistoryOptionsCheckButtonLog6:SetHeight(15);
LootHistoryOptionsCheckButtonLog6:SetPoint("RIGHT", LootHistoryOptionsLog6, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog6:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog6:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog6:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog6:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog6:SetScript("OnClick", function() LootHistoryItemRarity[6] = LootHistorytobool(LootHistoryOptionsCheckButtonLog6:GetChecked()); end);
LootHistoryOptionsCheckButtonLog6:Show();

local LootHistoryOptionsLog7 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLog7:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLog7:SetWidth(175);
LootHistoryOptionsLog7:SetHeight(15);
LootHistoryOptionsLog7:SetJustifyH("LEFT");
LootHistoryOptionsLog7:SetText(L["heirloom"]);
LootHistoryOptionsLog7:SetPoint("TOP", LootHistoryOptionsLog6, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLog7 = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLog7:SetWidth(15);
LootHistoryOptionsCheckButtonLog7:SetHeight(15);
LootHistoryOptionsCheckButtonLog7:SetPoint("RIGHT", LootHistoryOptionsLog7, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLog7:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLog7:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLog7:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLog7:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLog7:SetScript("OnClick", function() LootHistoryItemRarity[7] = LootHistorytobool(LootHistoryOptionsCheckButtonLog7:GetChecked()); end);
LootHistoryOptionsCheckButtonLog7:Show();

local LootHistoryOptionsLogSolo = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLogSolo:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLogSolo:SetWidth(175);
LootHistoryOptionsLogSolo:SetHeight(15);
LootHistoryOptionsLogSolo:SetJustifyH("LEFT");
LootHistoryOptionsLogSolo:SetText(L["solo"]);
LootHistoryOptionsLogSolo:SetPoint("TOP", LootHistoryOptionsLog7, "BOTTOM", 0, -10);

LootHistoryOptionsCheckButtonLogSolo = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLogSolo:SetWidth(15);
LootHistoryOptionsCheckButtonLogSolo:SetHeight(15);
LootHistoryOptionsCheckButtonLogSolo:SetPoint("RIGHT", LootHistoryOptionsLogSolo, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLogSolo:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLogSolo:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLogSolo:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLogSolo:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLogSolo:SetScript("OnClick", function() LootHistoryLog["Solo"] = LootHistorytobool(LootHistoryOptionsCheckButtonLogSolo:GetChecked()); end);
LootHistoryOptionsCheckButtonLogSolo:Show();

local LootHistoryOptionsLogParty = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLogParty:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLogParty:SetWidth(175);
LootHistoryOptionsLogParty:SetHeight(15);
LootHistoryOptionsLogParty:SetJustifyH("LEFT");
LootHistoryOptionsLogParty:SetText(L["party"]);
LootHistoryOptionsLogParty:SetPoint("TOP", LootHistoryOptionsLogSolo, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLogParty = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLogParty:SetWidth(15);
LootHistoryOptionsCheckButtonLogParty:SetHeight(15);
LootHistoryOptionsCheckButtonLogParty:SetPoint("RIGHT", LootHistoryOptionsLogParty, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLogParty:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLogParty:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLogParty:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLogParty:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLogParty:SetScript("OnClick", function() LootHistoryLog["Party"] = LootHistorytobool(LootHistoryOptionsCheckButtonLogParty:GetChecked()); end);
LootHistoryOptionsCheckButtonLogParty:Show();

local LootHistoryOptionsLogRaid = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLogRaid:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLogRaid:SetWidth(175);
LootHistoryOptionsLogRaid:SetHeight(15);
LootHistoryOptionsLogRaid:SetJustifyH("LEFT");
LootHistoryOptionsLogRaid:SetText(L["raid"]);
LootHistoryOptionsLogRaid:SetPoint("TOP", LootHistoryOptionsLogParty, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonLogRaid = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLogRaid:SetWidth(15);
LootHistoryOptionsCheckButtonLogRaid:SetHeight(15);
LootHistoryOptionsCheckButtonLogRaid:SetPoint("RIGHT", LootHistoryOptionsLogRaid, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLogRaid:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLogRaid:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLogRaid:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLogRaid:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLogRaid:SetScript("OnClick", function() LootHistoryLog["Raid"] = LootHistorytobool(LootHistoryOptionsCheckButtonLogRaid:GetChecked()); end);
LootHistoryOptionsCheckButtonLogRaid:Show();

local LootHistoryOptionsText2 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsText2:SetTextColor(1.0, 0.8, 0, 0.8);
LootHistoryOptionsText2:SetWidth(175);
LootHistoryOptionsText2:SetJustifyH("LEFT");
LootHistoryOptionsText2:SetText(L["Report-Options:"]);
LootHistoryOptionsText2:SetPoint("TOP", LootHistoryOptionsLogRaid, "BOTTOM", -25, -5);

local LootHistoryOptionsChatFrame = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsChatFrame:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsChatFrame:SetWidth(175);
LootHistoryOptionsChatFrame:SetHeight(15);
LootHistoryOptionsChatFrame:SetJustifyH("LEFT");
LootHistoryOptionsChatFrame:SetText(L["ChatFrame1"]);
LootHistoryOptionsChatFrame:SetPoint("TOP", LootHistoryOptionsText2, "BOTTOM", 25, -5);

LootHistoryOptionsCheckButtonChatFrame = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonChatFrame:SetWidth(15);
LootHistoryOptionsCheckButtonChatFrame:SetHeight(15);
LootHistoryOptionsCheckButtonChatFrame:SetPoint("RIGHT", LootHistoryOptionsChatFrame, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonChatFrame:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonChatFrame:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonChatFrame:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonChatFrame:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonChatFrame:SetScript("OnClick", function() LootHistoryReportTo["ChatFrame1"] = LootHistorytobool(LootHistoryOptionsCheckButtonChatFrame:GetChecked()); end);
LootHistoryOptionsCheckButtonChatFrame:Show();

local LootHistoryOptionsSay = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsSay:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsSay:SetWidth(175);
LootHistoryOptionsSay:SetHeight(15);
LootHistoryOptionsSay:SetJustifyH("LEFT");
LootHistoryOptionsSay:SetText(L["/say"]);
LootHistoryOptionsSay:SetPoint("TOP", LootHistoryOptionsChatFrame, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonSay = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonSay:SetWidth(15);
LootHistoryOptionsCheckButtonSay:SetHeight(15);
LootHistoryOptionsCheckButtonSay:SetPoint("RIGHT", LootHistoryOptionsSay, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonSay:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonSay:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonSay:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonSay:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonSay:SetScript("OnClick", function() LootHistoryReportTo["Say"] = LootHistorytobool(LootHistoryOptionsCheckButtonSay:GetChecked()); end);
LootHistoryOptionsCheckButtonSay:Show();

local LootHistoryOptionsYell = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsYell:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsYell:SetWidth(175);
LootHistoryOptionsYell:SetHeight(15);
LootHistoryOptionsYell:SetJustifyH("LEFT");
LootHistoryOptionsYell:SetText(L["/yell"]);
LootHistoryOptionsYell:SetPoint("TOP", LootHistoryOptionsSay, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonYell = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonYell:SetWidth(15);
LootHistoryOptionsCheckButtonYell:SetHeight(15);
LootHistoryOptionsCheckButtonYell:SetPoint("RIGHT", LootHistoryOptionsYell, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonYell:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonYell:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonYell:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonYell:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonYell:SetScript("OnClick", function() LootHistoryReportTo["Yell"] = LootHistorytobool(LootHistoryOptionsCheckButtonYell:GetChecked()); end);
LootHistoryOptionsCheckButtonYell:Show();

local LootHistoryOptionsParty = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsParty:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsParty:SetWidth(175);
LootHistoryOptionsParty:SetHeight(15);
LootHistoryOptionsParty:SetJustifyH("LEFT");
LootHistoryOptionsParty:SetText(L["/party"]);
LootHistoryOptionsParty:SetPoint("TOP", LootHistoryOptionsYell, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonParty = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonParty:SetWidth(15);
LootHistoryOptionsCheckButtonParty:SetHeight(15);
LootHistoryOptionsCheckButtonParty:SetPoint("RIGHT", LootHistoryOptionsParty, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonParty:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonParty:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonParty:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonParty:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonParty:SetScript("OnClick", function() LootHistoryReportTo["Party"] = LootHistorytobool(LootHistoryOptionsCheckButtonParty:GetChecked()); end);
LootHistoryOptionsCheckButtonParty:Show();

local LootHistoryOptionsRaidtxt = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsRaidtxt:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsRaidtxt:SetWidth(175);
LootHistoryOptionsRaidtxt:SetHeight(15);
LootHistoryOptionsRaidtxt:SetJustifyH("LEFT");
LootHistoryOptionsRaidtxt:SetText(L["/raid"]);
LootHistoryOptionsRaidtxt:SetPoint("TOP", LootHistoryOptionsParty, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonRaid = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonRaid:SetWidth(15);
LootHistoryOptionsCheckButtonRaid:SetHeight(15);
LootHistoryOptionsCheckButtonRaid:SetPoint("RIGHT", LootHistoryOptionsRaidtxt, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonRaid:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonRaid:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonRaid:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonRaid:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");	
LootHistoryOptionsCheckButtonRaid:SetScript("OnClick", function() LootHistoryReportTo["Raid"] = LootHistorytobool(LootHistoryOptionsCheckButtonRaid:GetChecked()); end);
LootHistoryOptionsCheckButtonRaid:Show();

local LootHistoryOptionsGuild = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsGuild:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsGuild:SetWidth(175);
LootHistoryOptionsGuild:SetHeight(15);
LootHistoryOptionsGuild:SetJustifyH("LEFT");
LootHistoryOptionsGuild:SetText(L["/guild"]);
LootHistoryOptionsGuild:SetPoint("TOP", LootHistoryOptionsRaidtxt, "BOTTOM", 0, 0);

LootHistoryOptionsCheckButtonGuild = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonGuild:SetWidth(15);
LootHistoryOptionsCheckButtonGuild:SetHeight(15);
LootHistoryOptionsCheckButtonGuild:SetPoint("RIGHT", LootHistoryOptionsGuild, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonGuild:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonGuild:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonGuild:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonGuild:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonGuild:SetScript("OnClick", function() LootHistoryReportTo["Guild"] = LootHistorytobool(LootHistoryOptionsCheckButtonGuild:GetChecked()); end);
LootHistoryOptionsCheckButtonGuild:Show();

local LootHistoryOptionsWhisper = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsWhisper:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsWhisper:SetWidth(100);
LootHistoryOptionsWhisper:SetHeight(15);
LootHistoryOptionsWhisper:SetJustifyH("LEFT");
LootHistoryOptionsWhisper:SetText(L["/whisper:"]);
LootHistoryOptionsWhisper:SetPoint("TOPLEFT", LootHistoryOptionsGuild, "BOTTOMLEFT");

LootHistoryOptionsCheckButtonWhisper = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonWhisper:SetWidth(15);
LootHistoryOptionsCheckButtonWhisper:SetHeight(15);
LootHistoryOptionsCheckButtonWhisper:SetPoint("RIGHT", LootHistoryOptionsWhisper, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonWhisper:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonWhisper:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonWhisper:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonWhisper:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonWhisper:SetScript("OnClick", function() LootHistoryReportTo["Whisper"] = LootHistorytobool(LootHistoryOptionsCheckButtonWhisper:GetChecked()); end);
LootHistoryOptionsCheckButtonWhisper:Show();

local LootHistoryOptionsWhisperBox = CreateFrame("EDITBOX", "LootHistoryOptionsWhisperBox", LootHistoryOptionsFrame, "InputBoxTemplate")
LootHistoryOptionsWhisperBox:SetWidth(90);
LootHistoryOptionsWhisperBox:SetHeight(15);
LootHistoryOptionsWhisperBox:SetPoint("LEFT", LootHistoryOptionsWhisper, "RIGHT", -40, -2);
LootHistoryOptionsWhisperBox:SetScript("OnTabPressed", function()
													local n, r = UnitName("target");
														if not (n == nil) then
														LootHistoryOptionsWhisperBox:SetText(n);
													end
												end);
LootHistoryOptionsWhisperBox:SetAutoFocus(false);
LootHistoryOptionsWhisperBox:Show();

local LootHistoryOptionsText3 = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsText3:SetTextColor(1.0, 0.8, 0, 0.8);
LootHistoryOptionsText3:SetWidth(150);
LootHistoryOptionsText3:SetJustifyH("LEFT");
LootHistoryOptionsText3:SetText(L["General-Options:"]);
LootHistoryOptionsText3:SetPoint("TOPLEFT", LootHistoryOptionsWhisper, "BOTTOMLEFT", -25, -10);

local LootHistoryOptionsLockFrames = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLockFrames:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLockFrames:SetWidth(175);
LootHistoryOptionsLockFrames:SetHeight(15);
LootHistoryOptionsLockFrames:SetJustifyH("LEFT");
LootHistoryOptionsLockFrames:SetText(L["lockFrames"]);
LootHistoryOptionsLockFrames:SetPoint("TOPLEFT", LootHistoryOptionsText3, "BOTTOMLEFT", 25, -5);

LootHistoryOptionsCheckButtonLockFrames = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLockFrames:SetWidth(15);
LootHistoryOptionsCheckButtonLockFrames:SetHeight(15);
LootHistoryOptionsCheckButtonLockFrames:SetPoint("RIGHT", LootHistoryOptionsLockFrames, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLockFrames:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLockFrames:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLockFrames:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLockFrames:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLockFrames:SetScript("OnClick", function() 
																LootHistory_LockFrames = LootHistorytobool(LootHistoryOptionsCheckButtonLockFrames:GetChecked());
																if LootHistoryOptionsCheckButtonLockFrames:GetChecked() then
																	LootHistoryFrame:RegisterForDrag("");
																elseif not LootHistoryOptionsCheckButtonLockFrames:GetChecked() then
																	LootHistoryFrame:RegisterForDrag("LeftButton");
																end
															 end);
LootHistoryOptionsCheckButtonLockFrames:Show();

local LootHistoryOptionsEnableMinimapButton = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsEnableMinimapButton:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsEnableMinimapButton:SetWidth(175);
LootHistoryOptionsEnableMinimapButton:SetHeight(15);
LootHistoryOptionsEnableMinimapButton:SetJustifyH("LEFT");
LootHistoryOptionsEnableMinimapButton:SetText(L["enableMinimapButton"]);
LootHistoryOptionsEnableMinimapButton:SetPoint("TOPLEFT", LootHistoryOptionsLockFrames, "BOTTOMLEFT", 0, 0);

LootHistoryOptionsCheckButtonEnableMinimapButton = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonEnableMinimapButton:SetWidth(15);
LootHistoryOptionsCheckButtonEnableMinimapButton:SetHeight(15);
LootHistoryOptionsCheckButtonEnableMinimapButton:SetPoint("RIGHT", LootHistoryOptionsEnableMinimapButton, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonEnableMinimapButton:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonEnableMinimapButton:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonEnableMinimapButton:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonEnableMinimapButton:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonEnableMinimapButton:SetScript("OnClick", function() 
																		LootHistory_EnableMinimapButton = LootHistorytobool(LootHistoryOptionsCheckButtonEnableMinimapButton:GetChecked());
																		if LootHistoryOptionsCheckButtonEnableMinimapButton:GetChecked() then
																			LootHistoryMinimapButton:Show();
																		elseif not LootHistoryOptionsCheckButtonEnableMinimapButton:GetChecked() then
																			LootHistoryMinimapButton:Hide();
																		end
																	  end);
LootHistoryOptionsCheckButtonEnableMinimapButton:Show();

local LootHistoryOptionsLockMinimapButton = LootHistoryOptionsFrame:CreateFontString(nil, "Artwork", "ChatFontNormal");
LootHistoryOptionsLockMinimapButton:SetTextColor(1, 1, 1, 0.8);
LootHistoryOptionsLockMinimapButton:SetWidth(175);
LootHistoryOptionsLockMinimapButton:SetHeight(15);
LootHistoryOptionsLockMinimapButton:SetJustifyH("LEFT");
LootHistoryOptionsLockMinimapButton:SetText(L["lockMinimapButton"]);
LootHistoryOptionsLockMinimapButton:SetPoint("TOPLEFT", LootHistoryOptionsEnableMinimapButton, "BOTTOMLEFT", 0, 0);

LootHistoryOptionsCheckButtonLockMinimapButton = CreateFrame("CHECKBUTTON", nil, LootHistoryOptionsFrame);
LootHistoryOptionsCheckButtonLockMinimapButton:SetWidth(15);
LootHistoryOptionsCheckButtonLockMinimapButton:SetHeight(15);
LootHistoryOptionsCheckButtonLockMinimapButton:SetPoint("RIGHT", LootHistoryOptionsLockMinimapButton, "LEFT", -5, 0);
LootHistoryOptionsCheckButtonLockMinimapButton:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up");
LootHistoryOptionsCheckButtonLockMinimapButton:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down");
LootHistoryOptionsCheckButtonLockMinimapButton:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight", "ADD");
LootHistoryOptionsCheckButtonLockMinimapButton:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check");
LootHistoryOptionsCheckButtonLockMinimapButton:SetScript("OnClick", function()
																		LootHistory_LockMinimapButton = LootHistorytobool(LootHistoryOptionsCheckButtonLockMinimapButton:GetChecked());
																		if LootHistoryOptionsCheckButtonLockMinimapButton:GetChecked() then
																			LootHistoryMinimapButton:RegisterForDrag(""); 
																		elseif not LootHistoryOptionsCheckButtonLockMinimapButton:GetChecked() then																			
																			LootHistoryMinimapButton:RegisterForDrag("LeftButton");
																		end
																	end);
LootHistoryOptionsCheckButtonLockMinimapButton:Show();

LootHistorySFrame = CreateFrame("SCROLLFRAME", "LootHistorySFrame", LootHistoryFrame, "UIPanelScrollFrameTemplate");
LootHistorySFrame:SetPoint("TOPLEFT", 10, -25);
LootHistorySFrame:SetWidth(162);
LootHistorySFrame:SetHeight(100);
LootHistorySFrame:SetHorizontalScroll(0);
LootHistorySFrame:SetVerticalScroll(340);
LootHistorySFrame:Show();

LootHistorySChild = CreateFrame("EDITBOX", "LootHistorySChild", LootHistorySFrame);
LootHistorySChild:SetFontObject('GameFontHighlightSmall');
LootHistorySChild:SetWidth(150);
LootHistorySChild:SetAutoFocus(false);
LootHistorySChild:SetMultiLine(true);
LootHistorySChild:SetScript("OnEditFocusGained", function() LootHistorySChild:ClearFocus(); end);
LootHistorySChild:Show();

LootHistorySFrame:SetScrollChild(LootHistorySChild);

-- end UI

SlashCmdList["LH"] = function(param)
	local param1
	local s, e = string.find(param, " ");
	if s == nil then
		param1=" ";
		if (param == "toggle") or (string.len(param) == 0) then		
		if LootHistoryFrame:IsShown() then
			LootHistoryFrame:Hide();
			LootHistoryOptionsFrame:Hide();
		elseif not LootHistoryFrame:IsShown() then
			LootHistoryFrame:Show();
		end
		elseif param == "help" then
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
			ChatFrame1:AddMessage(LootHistoryVersion);
			ChatFrame1:AddMessage("/lohi [command] or /loohistory [command]");
			ChatFrame1:AddMessage("available commands:");
			ChatFrame1:AddMessage("- show - shows you the current loot history");
			ChatFrame1:AddMessage("- show [name] - shows you the current loot history of [name]");
			ChatFrame1:AddMessage("- clear - wipes the loot history");
			ChatFrame1:AddMessage("~~~~~~~~~~~~~~~~~~~~~~~~~~~~");
		elseif param == "clear" then
			ClearLootHistory();
		elseif param == "show" then
			ShowLootHistory();
		end		
	else
		param1 = string.sub(param, 0, e-1);
	end	
	if param1 == "show" then
		local args = {};		
		local params = string.sub(param, e+1);
		s, e = string.find(params, " ");		
		if (e == nil) and (not (string.sub(params, 0) == "")) then			
			args[0]=string.sub(params, 0);
		end		
		if (#args == 0) and not(args[0] == nil) and e == nil then			
			ShowPlayerLootHistory(args[0]);
		end
	end	
end